> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/system-messages.md).

# System Messages

systemMessages

## GET /systemMessages

> get SystemMessages

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.util.UtilityServices.getSystemMessages.Out":{"type":"object","properties":{"systemMessages":{"type":"array","items":{"type":"object"}},"systemMessagesCount":{"type":"integer","format":"int32"}}}}},"paths":{"/systemMessages":{"get":{"tags":["systemMessages"],"summary":"get SystemMessages","description":null,"parameters":[{"schema":{"type":"string","format":""},"name":"systemMessageId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageRemoteId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"remoteMessageId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentMessageId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"failCount_from","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"isOutgoing","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderByField","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"queryString","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageSize","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.util.UtilityServices.getSystemMessages.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /systemMessages/{systemMessageId}

> one SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"systemMessages":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages"},"systemMessageId":{"type":"string"},"systemMessageTypeId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"statusId":{"type":"string","enum":["SmsgProduced","SmsgSending","SmsgSent","SmsgReceived","SmsgConsuming","SmsgConsumed","SmsgConfirmed","SmsgRejected","SmsgCancelled","SmsgError"]},"isOutgoing":{"type":"string"},"initDate":{"type":"string","format":"date-time"},"processedDate":{"type":"string","format":"date-time"},"lastAttemptDate":{"type":"string","format":"date-time"},"failCount":{"type":"number","format":"int64"},"parentMessageId":{"type":"string"},"ackMessageId":{"type":"string"},"remoteMessageId":{"type":"string"},"messageText":{"type":"string"},"senderId":{"type":"string"},"receiverId":{"type":"string"},"messageId":{"type":"string"},"messageDate":{"type":"string","format":"date-time"},"docType":{"type":"string"},"docSubType":{"type":"string"},"docControl":{"type":"string"},"docSubControl":{"type":"string"},"docVersion":{"type":"string"},"triggerVisitId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"jobRunId":{"type":"string"},"orderId":{"type":"string"},"consumeSmrId":{"type":"string"},"shopifyWebhookId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/systemMessages/{systemMessageId}":{"get":{"tags":["systemMessages"],"summary":"one SystemMessage","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /systemMessages/{systemMessageId}

> store SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"systemMessages.PK":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages.PK"},"systemMessageId":{"type":"string"}}},"systemMessages":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages"},"systemMessageId":{"type":"string"},"systemMessageTypeId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"statusId":{"type":"string","enum":["SmsgProduced","SmsgSending","SmsgSent","SmsgReceived","SmsgConsuming","SmsgConsumed","SmsgConfirmed","SmsgRejected","SmsgCancelled","SmsgError"]},"isOutgoing":{"type":"string"},"initDate":{"type":"string","format":"date-time"},"processedDate":{"type":"string","format":"date-time"},"lastAttemptDate":{"type":"string","format":"date-time"},"failCount":{"type":"number","format":"int64"},"parentMessageId":{"type":"string"},"ackMessageId":{"type":"string"},"remoteMessageId":{"type":"string"},"messageText":{"type":"string"},"senderId":{"type":"string"},"receiverId":{"type":"string"},"messageId":{"type":"string"},"messageDate":{"type":"string","format":"date-time"},"docType":{"type":"string"},"docSubType":{"type":"string"},"docControl":{"type":"string"},"docSubControl":{"type":"string"},"docVersion":{"type":"string"},"triggerVisitId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"jobRunId":{"type":"string"},"orderId":{"type":"string"},"consumeSmrId":{"type":"string"},"shopifyWebhookId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/systemMessages/{systemMessageId}":{"put":{"tags":["systemMessages"],"summary":"store SystemMessage","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/systemMessages"}}},"required":false}}}}}
```

## DELETE /systemMessages/{systemMessageId}

> delete SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/systemMessages/{systemMessageId}":{"delete":{"tags":["systemMessages"],"summary":"delete SystemMessage","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## send ProducedSystemMessage

> Calls the send service (SystemMessageType.sendServiceName). Sets the SystemMessage status to\
> &#x20;           SmsgSending while sending, then to SmsgSent if successful or back to original status if not. If the initial\
> &#x20;           status is not SmsgProduced or SmsgError returns an error (generally means message already sent). If you\
> &#x20;           want to resend a message that is in a later status, first change the status to SmsgProduced.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/systemMessages/{systemMessageId}/send":{"post":{"tags":["systemMessages"],"summary":"send ProducedSystemMessage","description":"Calls the send service (SystemMessageType.sendServiceName). Sets the SystemMessage status to\n            SmsgSending while sending, then to SmsgSent if successful or back to original status if not. If the initial\n            status is not SmsgProduced or SmsgError returns an error (generally means message already sent). If you\n            want to resend a message that is in a later status, first change the status to SmsgProduced.","parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /systemMessages/{systemMessageId}/update

> store SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"systemMessages.PK":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages.PK"},"systemMessageId":{"type":"string"}}},"systemMessages":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages"},"systemMessageId":{"type":"string"},"systemMessageTypeId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"statusId":{"type":"string","enum":["SmsgProduced","SmsgSending","SmsgSent","SmsgReceived","SmsgConsuming","SmsgConsumed","SmsgConfirmed","SmsgRejected","SmsgCancelled","SmsgError"]},"isOutgoing":{"type":"string"},"initDate":{"type":"string","format":"date-time"},"processedDate":{"type":"string","format":"date-time"},"lastAttemptDate":{"type":"string","format":"date-time"},"failCount":{"type":"number","format":"int64"},"parentMessageId":{"type":"string"},"ackMessageId":{"type":"string"},"remoteMessageId":{"type":"string"},"messageText":{"type":"string"},"senderId":{"type":"string"},"receiverId":{"type":"string"},"messageId":{"type":"string"},"messageDate":{"type":"string","format":"date-time"},"docType":{"type":"string"},"docSubType":{"type":"string"},"docControl":{"type":"string"},"docSubControl":{"type":"string"},"docVersion":{"type":"string"},"triggerVisitId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"jobRunId":{"type":"string"},"orderId":{"type":"string"},"consumeSmrId":{"type":"string"},"shopifyWebhookId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/systemMessages/{systemMessageId}/update":{"post":{"tags":["systemMessages"],"summary":"store SystemMessage","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/systemMessages"}}},"required":false}}}}}
```

## consume ReceivedSystemMessage

> Calls the consume service (SystemMessageType.consumeServiceName). Sets the SystemMessage status to\
> &#x20;           SmsgConsuming while consuming, then to SmsgConsumed if successful or back to original status if not. If the initial\
> &#x20;           status is not SmsgReceived or SmsgError returns an error (generally means message already consumed). If you\
> &#x20;           want to resend a message that is in a later status, first change the status to SmsgReceived.\
> \
> &#x20;           This uses a transaction timeout of 1800 seconds (30 minutes) as the default for the service and as the default for the\
> &#x20;           consume service configured on the SystemMessageType. For incoming messages that require even more processing\
> &#x20;           time it is best to break up the processing in a separate ServiceJob or other async service calls.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.moqui.impl.SystemMessageServices.consumeReceivedSystemMessage.In":{"type":"object","properties":{"systemMessageId":{"type":"string"},"allowError":{"type":"boolean","default":"{false}"}},"required":["systemMessageId"]}}},"paths":{"/systemMessages/{systemMessageId}/consume":{"post":{"tags":["systemMessages"],"summary":"consume ReceivedSystemMessage","description":"Calls the consume service (SystemMessageType.consumeServiceName). Sets the SystemMessage status to\n            SmsgConsuming while consuming, then to SmsgConsumed if successful or back to original status if not. If the initial\n            status is not SmsgReceived or SmsgError returns an error (generally means message already consumed). If you\n            want to resend a message that is in a later status, first change the status to SmsgReceived.\n\n            This uses a transaction timeout of 1800 seconds (30 minutes) as the default for the service and as the default for the\n            consume service configured on the SystemMessageType. For incoming messages that require even more processing\n            time it is best to break up the processing in a separate ServiceJob or other async service calls.","parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.SystemMessageServices.consumeReceivedSystemMessage.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.SystemMessageServices.consumeReceivedSystemMessage.In"}}},"required":true}}}}}
```

## queue AckSystemMessage

> Call the service to produce an async acknowledgement message (SystemMessageType.produceAckServiceName).\
> &#x20;           If sendNow=true (default) will attempt to send it immediately (though asynchronously),\
> &#x20;           otherwise the message will be picked up the next time the send#ProducedSystemMessages service runs.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.moqui.impl.SystemMessageServices.queueAckSystemMessage.Out":{"type":"object","properties":{"systemMessageId":{"type":"string"}}},"org.moqui.impl.SystemMessageServices.queueAckSystemMessage.In":{"type":"object","properties":{"systemMessageId":{"type":"string"},"systemMessageRemoteId":{"type":"string","description":"If not specified comes from SystemMessage.systemMessageRemoteId"}},"required":["systemMessageId"]}}},"paths":{"/systemMessages/{systemMessageId}/queueAckMessage":{"post":{"tags":["systemMessages"],"summary":"queue AckSystemMessage","description":"Call the service to produce an async acknowledgement message (SystemMessageType.produceAckServiceName).\n            If sendNow=true (default) will attempt to send it immediately (though asynchronously),\n            otherwise the message will be picked up the next time the send#ProducedSystemMessages service runs.","parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.SystemMessageServices.queueAckSystemMessage.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.SystemMessageServices.queueAckSystemMessage.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.SystemMessageServices.queueAckSystemMessage.In"}}},"required":true}}}}}
```

## POST /systemMessages/{systemMessageId}/cancel

> cancel SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/systemMessages/{systemMessageId}/cancel":{"post":{"tags":["systemMessages"],"summary":"cancel SystemMessage","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /systemMessages/{systemMessageId}/resetError

> reset SystemMessageInError

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/systemMessages/{systemMessageId}/resetError":{"post":{"tags":["systemMessages"],"summary":"reset SystemMessageInError","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /systemMessages/{systemMessageId}/downloadFile

> get SystemMessageFile

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.util.UtilityServices.getSystemMessageFile.Out":{"type":"object","properties":{"data":{"type":"string"}}}}},"paths":{"/systemMessages/{systemMessageId}/downloadFile":{"get":{"tags":["systemMessages"],"summary":"get SystemMessageFile","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.util.UtilityServices.getSystemMessageFile.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /systemMessages/{systemMessageId}/errors

> list SystemMessageError

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.message.SystemMessageError":{"title":"System Message Error","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageError"},"systemMessageId":{"type":"string"},"errorDate":{"type":"string","format":"date-time"},"attemptedStatusId":{"type":"string"},"errorText":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/systemMessages/{systemMessageId}/errors":{"get":{"tags":["systemMessages"],"summary":"list SystemMessageError","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":"date-time"},"name":"errorDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"attemptedStatusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"errorText","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageError"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /systemMessages/{systemMessageId}/statusHistory

> get SystemMessageStatusHistory

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.util.UtilityServices.getSystemMessageStatusHistory.Out":{"type":"object","properties":{"systemMessageStatusHistory":{"type":"array","items":{"type":"object"}}}}}},"paths":{"/systemMessages/{systemMessageId}/statusHistory":{"get":{"tags":["systemMessages"],"summary":"get SystemMessageStatusHistory","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageSize","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.util.UtilityServices.getSystemMessageStatusHistory.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /systemMessages/types

> list SystemMessageType

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.message.SystemMessageType":{"title":"System Message Type","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageType"},"systemMessageTypeId":{"type":"string"},"description":{"type":"string"},"produceServiceName":{"type":"string"},"consumeServiceName":{"type":"string"},"produceAckServiceName":{"type":"string"},"produceAckOnConsumed":{"type":"string"},"sendServiceName":{"type":"string"},"receiveServiceName":{"type":"string"},"contentType":{"type":"string"},"receivePath":{"type":"string"},"receiveFilePattern":{"type":"string"},"receiveResponseEnumId":{"type":"string","enum":["MsgRrDelete","MsgRrMove","MsgRrNone"]},"receiveMovePath":{"type":"string"},"sendPath":{"type":"string"},"parentTypeId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/systemMessages/types":{"get":{"tags":["systemMessages"],"summary":"list SystemMessageType","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"systemMessageTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"produceServiceName","in":"query","required":false,"description":"Not used in automated processing, but useful\n            for documentation and tools in some cases."},{"schema":{"type":"string","format":""},"name":"consumeServiceName","in":"query","required":false,"description":"The service to call after a message is\n            received to consume it. Should implement the org.moqui.impl.SystemMessageServices.consume#SystemMessage\n            interface (just a systemMessageId in-parameter). Used by the consume#ReceivedSystemMessage service."},{"schema":{"type":"string","format":""},"name":"produceAckServiceName","in":"query","required":false,"description":"The service to call to produce an async\n            acknowledgement of a message. Should implement the org.moqui.impl.SystemMessageServices.produce#AckSystemMessage.\n            Once the message is produced should call the org.moqui.impl.SystemMessageServices.queue#SystemMessage service."},{"schema":{"type":"string","format":""},"name":"produceAckOnConsumed","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"sendServiceName","in":"query","required":false,"description":"The service to call to send queued messages.\n            Should implement the org.moqui.impl.SystemMessageServices.send#SystemMessage interface (just a\n            systemMessageId in-parameter and remoteMessageId out-parameter). Used by the send#ProducedSystemMessage service,\n            and for that service must be specified or will result in an error."},{"schema":{"type":"string","format":""},"name":"receiveServiceName","in":"query","required":false,"description":"The service to call to save a received message.\n            Should implement the org.moqui.impl.SystemMessageServices.receive#SystemMessage interface.\n            If not specified receive#IncomingSystemMessage just saves the message directly.\n            When applicable, used by the send service as the service on the remote server to call to receive the message."},{"schema":{"type":"string","format":""},"name":"contentType","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"receivePath","in":"query","required":false,"description":"Where to look for files on a remote server, syntax is implementation specific"},{"schema":{"type":"string","format":""},"name":"receiveFilePattern","in":"query","required":false,"description":"Regular expression to match filenames in receivePath (optional)"},{"schema":{"type":"string","format":""},"name":"receiveResponseEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"receiveMovePath","in":"query","required":false,"description":"After successful receive move file to this path if receiveResponseEnumId = MsgRrMove"},{"schema":{"type":"string","format":""},"name":"sendPath","in":"query","required":false,"description":"Where to put files on a remote server, syntax is implementation\n            specific and may include both path and a filename pattern"},{"schema":{"type":"string","format":""},"name":"parentTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageType"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /systemMessages/types/{systemMessageTypeId}

> store SystemMessageType

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.message.SystemMessageType.PK":{"title":"System Message Type","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageType.PK"},"systemMessageTypeId":{"type":"string"}}},"moqui.service.message.SystemMessageType":{"title":"System Message Type","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageType"},"systemMessageTypeId":{"type":"string"},"description":{"type":"string"},"produceServiceName":{"type":"string"},"consumeServiceName":{"type":"string"},"produceAckServiceName":{"type":"string"},"produceAckOnConsumed":{"type":"string"},"sendServiceName":{"type":"string"},"receiveServiceName":{"type":"string"},"contentType":{"type":"string"},"receivePath":{"type":"string"},"receiveFilePattern":{"type":"string"},"receiveResponseEnumId":{"type":"string","enum":["MsgRrDelete","MsgRrMove","MsgRrNone"]},"receiveMovePath":{"type":"string"},"sendPath":{"type":"string"},"parentTypeId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/systemMessages/types/{systemMessageTypeId}":{"put":{"tags":["systemMessages"],"summary":"store SystemMessageType","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageTypeId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageType.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageType"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageType"}}},"required":false}}}}}
```

## DELETE /systemMessages/types/{systemMessageTypeId}

> delete SystemMessageType

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/systemMessages/types/{systemMessageTypeId}":{"delete":{"tags":["systemMessages"],"summary":"delete SystemMessageType","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageTypeId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## list SystemMessageTypeParameter

> Entity to define any additional parameters w\.r.t. SystemMessageType required to process a SystemMessage.\
> &#x20;           Optionally configure systemMessageRemoteId.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.message.SystemMessageTypeParameter":{"title":"System Message Type Parameter","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageTypeParameter"},"systemMessageTypeId":{"type":"string"},"parameterName":{"type":"string"},"parameterValue":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/systemMessages/types/{systemMessageTypeId}/parameters":{"get":{"tags":["systemMessages"],"summary":"list SystemMessageTypeParameter","description":"Entity to define any additional parameters w.r.t. SystemMessageType required to process a SystemMessage.\n            Optionally configure systemMessageRemoteId.","parameters":[{"schema":{"type":"string"},"name":"systemMessageTypeId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"parameterName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parameterValue","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageRemoteId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageTypeParameter"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## store SystemMessageTypeParameter

> Entity to define any additional parameters w\.r.t. SystemMessageType required to process a SystemMessage.\
> &#x20;           Optionally configure systemMessageRemoteId.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.message.SystemMessageTypeParameter.PK":{"title":"System Message Type Parameter","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageTypeParameter.PK"},"systemMessageTypeId":{"type":"string"},"parameterName":{"type":"string"}}},"moqui.service.message.SystemMessageTypeParameter":{"title":"System Message Type Parameter","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageTypeParameter"},"systemMessageTypeId":{"type":"string"},"parameterName":{"type":"string"},"parameterValue":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/systemMessages/types/{systemMessageTypeId}/parameters":{"put":{"tags":["systemMessages"],"summary":"store SystemMessageTypeParameter","description":"Entity to define any additional parameters w.r.t. SystemMessageType required to process a SystemMessage.\n            Optionally configure systemMessageRemoteId.","parameters":[{"schema":{"type":"string"},"name":"systemMessageTypeId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageTypeParameter.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageTypeParameter"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageTypeParameter"}}},"required":false}}}}}
```

## delete SystemMessageTypeParameter

> Entity to define any additional parameters w\.r.t. SystemMessageType required to process a SystemMessage.\
> &#x20;           Optionally configure systemMessageRemoteId.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.message.SystemMessageTypeParameter.PK":{"title":"System Message Type Parameter","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageTypeParameter.PK"},"systemMessageTypeId":{"type":"string"},"parameterName":{"type":"string"}}}}},"paths":{"/systemMessages/types/{systemMessageTypeId}/parameters":{"delete":{"tags":["systemMessages"],"summary":"delete SystemMessageTypeParameter","description":"Entity to define any additional parameters w.r.t. SystemMessageType required to process a SystemMessage.\n            Optionally configure systemMessageRemoteId.","parameters":[{"schema":{"type":"string"},"name":"systemMessageTypeId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageTypeParameter.PK"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageTypeParameter.PK"}}},"required":false}}}}}
```

## GET /systemMessages/logDetails

> list SystemMessageAndDataManagerLogDetails

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"systemMessages","description":"systemMessages"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.datamanager.SystemMessageAndDataManagerLogDetails":{"title":"System Message And Data Manager Log Details","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.datamanager.SystemMessageAndDataManagerLogDetails"},"systemMessageId":{"type":"string"},"systemMessageTypeId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"messageText":{"type":"string"},"statusId":{"type":"string"},"initDate":{"type":"string","format":"date-time"},"lastAttemptDate":{"type":"string","format":"date-time"},"jobRunId":{"type":"string"},"remoteMessageId":{"type":"string"},"messageDate":{"type":"string","format":"date-time"},"typeDescription":{"type":"string"},"logId":{"type":"string"},"configId":{"type":"string"},"logStatusId":{"type":"string"},"logTypeEnumId":{"type":"string"},"startDateTime":{"type":"string","format":"date-time"},"finishDateTime":{"type":"string","format":"date-time"},"totalRecordCount":{"type":"number","format":"int64"},"failedRecordCount":{"type":"number","format":"int64"}}}}},"paths":{"/systemMessages/logDetails":{"get":{"tags":["systemMessages"],"summary":"list SystemMessageAndDataManagerLogDetails","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"systemMessageId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageRemoteId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"messageText","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"initDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastAttemptDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"jobRunId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"remoteMessageId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"messageDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"typeDescription","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"logId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"configId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"logStatusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"logTypeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"startDateTime","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"finishDateTime","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"totalRecordCount","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"failedRecordCount","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.datamanager.SystemMessageAndDataManagerLogDetails"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/system-messages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
